#################################################
#
#  (C) 2017 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include( ConfigureChecks.cmake )

add_subdirectory( pics )
tde_install_icons( )

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${AKODE_INCLUDE_DIRS}
  ${ARTS_INCLUDE_DIRS}
  ${GST_INCLUDE_DIRS}
  ${TAGLIB_INCLUDE_DIRS}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${AKODE_LIBRARY_DIRS}
  ${ARTS_LIBRARY_DIRS}
)


##### juk (executable) ##########################

tde_add_executable( juk AUTOMOC
  SOURCES
    advancedsearchdialog.cpp
    actioncollection.cpp
    akodeplayer.cpp
    artsplayer.cpp
    cache.cpp
    categoryreaderinterface.cpp
    collectionlist.cpp
    coverdialog.cpp
    coverdialogbase.ui
    covericonview.cpp
    coverinfo.cpp
    covermanager.cpp
    deletedialog.cpp
    deletedialogbase.ui
    directorylist.cpp
    directorylistbase.ui
    dynamicplaylist.cpp
    exampleoptions.cpp
    exampleoptionsbase.ui
    folderplaylist.cpp
    filehandle.cpp
    filerenamer.cpp
    filerenamerbase.ui
    filerenameroptions.cpp
    filerenameroptionsbase.ui
    filerenamerconfigdlg.cpp
    gstreamerplayer.cpp
    webimagefetcher.cpp
    webimagefetcherdialog.cpp
    historyplaylist.cpp
    juk.cpp
    jukIface.skel
    k3bexporter.cpp
    keydialog.cpp
    main.cpp
    mediafiles.cpp
    musicbrainzquery.cpp
    nowplaying.cpp
    playermanager.cpp
    playlist.cpp
    playlistbox.cpp
    playlistcollection.cpp
    playlistinterface.cpp
    playlistitem.cpp
    playlistsearch.cpp
    playlistsplitter.cpp
    searchplaylist.cpp
    searchwidget.cpp
    slideraction.cpp
    sortedstringlist.cpp
    splashscreen.cpp
    statuslabel.cpp
    stringshare.cpp
    systemtray.cpp
    tag.cpp
    tageditor.cpp
    tagguesser.cpp
    tagguesserconfigdlg.cpp
    tagguesserconfigdlgwidget.ui
    tagrenameroptions.cpp
    tagtransactionmanager.cpp
    trackpickerdialog.cpp
    trackpickerdialogbase.ui
    tracksequenceiterator.cpp
    tracksequencemanager.cpp
    treeviewitemplaylist.cpp
    upcomingplaylist.cpp
    ktrm.cpp
    viewmode.cpp
  LINK
    DCOP-shared tdecore-shared tdeui-shared tdefx-shared tdeio-shared tdehtml-shared tdetexteditor-shared
    mcop kmedia2_idl soundserver_idl artsflow_idl artskde-shared ${ARTS_LIBRARIES} ${AKODE_LIBRARIES}
    ${GST_LIBRARIES} ${TAGLIB_LIBRARIES} ${MB_LIBRARIES} m
  DESTINATION ${BIN_INSTALL_DIR}
)


##### tagguessertest (check program) ############

tde_add_check_executable( tagguessertest AUTOMOC
  SOURCES
    tagguessertest.cpp tagguesser.cpp
  LINK
    DCOP tdecore-shared tdeui-shared tdefx-shared tdeio-shared tdetexteditor-shared
    mcop kmedia2_idl soundserver_idl artsflow_idl
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE juk.desktop
  PO_DIR juk-desktops
)

install( FILES jukui.rc jukui-rtl.rc DESTINATION ${DATA_INSTALL_DIR}/juk )

tde_create_translated_desktop(
  SOURCE jukservicemenu.desktop
  DESTINATION ${DATA_INSTALL_DIR}/konqueror/servicemenus
  PO_DIR juk-desktops
)
